### 5.1.71 kill

`Syntax:`
  `kill` name ``
  `kill` list_of_names ``
`Type:`
  none
`Purpose:`
  deletes objects.
`Example:`

        int i=3;
        ring r=0,x,dp;
        poly p;
        listvar();
      ==> // r                              [0]  *ring
      ==> //      p                              [0]  poly
      ==> // i                              [0]  int 3
        kill i,r;
        // the variable `i` does not exist any more
        i;
      ==>    ? `i` is undefined
      ==>    ? error occurred in or before ./examples/kill.sing line 7: `  i;`
        listvar();

See defined; general_lib.

User manual for Singular version 4.4.1, 2025, generated by texi2html.